Package ch.qos.logback.core.util

# Class FileUtil

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.util.FileUtil

All Implemented Interfaces:
  `ContextAware`

public class FileUtil extends ContextAwareBase

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`FileUtil(Context context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`copy(String src, String destination)`
`static boolean`
`createMissingParentDirectories(File file)`
Creates the parent directories of a file.
`static URL`
`fileToURL(File file)`
`String`
`resourceAsString(ClassLoader classLoader, String resourceName)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileUtil

public FileUtil(Context context)

## Method Details

### fileToURL

public static URL fileToURL(File file)

### createMissingParentDirectories

public static boolean createMissingParentDirectories(File file)
Creates the parent directories of a file. If parent directories not specified in file's path, then nothing is done and this returns gracefully.

Parameters:
  `file` - file whose parent directories (if any) should be created
Returns:
  `true` if either no parents were specified, or if all parent directories were created successfully; `false` otherwise

### resourceAsString

public String resourceAsString(ClassLoader classLoader, String resourceName)

### copy

public void copy(String src, String destination) throws RolloverFailure

Throws:
  `RolloverFailure`